import type { _NSDimension } from "./NSDimension.js";
export declare class _NSUnitFrequency extends _NSDimension {
    static alloc(): _NSUnitFrequency;
    static new(): _NSUnitFrequency;
    init(): _NSUnitFrequency;
    /** Base unit - hertz */
    static terahertz(): _NSUnitFrequency;
    static gigahertz(): _NSUnitFrequency;
    static megahertz(): _NSUnitFrequency;
    static kilohertz(): _NSUnitFrequency;
    static hertz(): _NSUnitFrequency;
    static millihertz(): _NSUnitFrequency;
    static microhertz(): _NSUnitFrequency;
    static nanohertz(): _NSUnitFrequency;
    /** 1 FPS ≡ 1 Hertz */
    static framesPerSecond(): _NSUnitFrequency;
}
